Retrieve IP access rules by address

Prev Next
Get
/v1alpha/ip-acl/test_ip

Retrieves all IP access rules that include a given IP address.

Security
HTTP
Type bearer
Query parameters
ip
string

Retrives all rules containing a given IP address. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

Responses
200

Matching IP access rules retrieved successfully.

Expand All
object
rules
Array of object (v1alphaIPAccessRule)

IP access rules containing the given IP address.

object

Represents an IP access control rule for a workspace. Allows access to workspace resources only from specific IP addresses or ranges.

id
string

The unique identifier for the IP access rule.

ip
string

The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

description
string

The IP access rule description. This optional parameter has a 1000-character limit.

created_by
string

The email address of the user who created the IP access rule. Automatically generated and cannot be edited.

created_at
string (date-time)

The timestamp when the IP access rule was created. Automatically generated and cannot be edited.

updated_at
string (date-time)

The timestamp of the last update to the IP access rule. Automatically generated and cannot be edited.

updated_by
string

The email address of the user who last updated the IP access rule. Automatically generated and cannot be edited.

400

Invalid IP address format.

object
401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

Insufficient permissions. Only a workspace Owner can retrieve an IP access rules.

object